You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     a...@freebsd.org
Last committer: a...@freebsd.org
Ident:          $FreeBSD: 
branches/2014Q2/emulators/mupen64plus-video-glide64mk2/Makefile 348909 
2014-03-24 00:04:32Z acm $
Log URL:        
http://beefy2.isc.freebsd.org/bulk/91amd64-quarterly/2014-06-04_01h18m22s/logs/mupen64plus-video-glide64mk2-2.0_1.log
Build URL:      
http://beefy2.isc.freebsd.org/bulk/91amd64-quarterly/2014-06-04_01h18m22s
Log:

====>> Building emulators/mupen64plus-video-glide64mk2
build started at Wed Jun  4 01:31:36 UTC 2014
port directory: /usr/ports/emulators/mupen64plus-video-glide64mk2
building for: FreeBSD 91amd64-quarterly-job-05 9.1-RELEASE-p13 FreeBSD 
9.1-RELEASE-p13 amd64
maintained by: a...@freebsd.org
Makefile ident:      $FreeBSD: 
branches/2014Q2/emulators/mupen64plus-video-glide64mk2/Makefile 348909 
2014-03-24 00:04:32Z acm $
Poudriere version: 3.1-pre
Host OSVERSION: 1100013
Jail OSVERSION: 901000

---Begin Environment---
OSVERSION=901000
UNAME_v=FreeBSD 9.1-RELEASE-p13
UNAME_r=9.1-RELEASE-p13
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/build/91amd64-quarterly/ref
PKG_EXT=txz
tpid=82123
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNG=1
PKGNAME=mupen64plus-video-glide64mk2-2.0_1
PKG_DELETE=/usr/local/sbin/pkg-static delete -y -f
PKG_ADD=/usr/local/sbin/pkg-static add
OLDPWD=/usr/local/poudriere/data/build/91amd64-quarterly/ref/poudriere/rdeps
PWD=/usr/local/poudriere/data/build/91amd64-quarterly/ref/poudriere/pool
MASTERNAME=91amd64-quarterly
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
PKG_VERSION=/poudriere/pkg-static version
PKG_BIN=/usr/local/sbin/pkg-static
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" MAKE=gmake PKG_CONFIG=pkgconf TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh SDL_CONFIG=/usr/local/bin/sdl-config
--End CONFIGURE_ENV--

--MAKE_ENV--
PTHREAD_LIBS="-pthread" OPTFLAGS="" TMPDIR="/tmp" TMPDIR="/tmp" SHELL=/bin/sh 
NO_LINT=YES SDL_CONFIG=/usr/local/bin/sdl-config PREFIX=/usr/local  
LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe 
-I/usr/local/include -I/usr/local/include/mupen64plus -fno-strict-aliasing"  
CPP="cpp" CPPFLAGS=""  LDFLAGS=" -L/usr/local/lib"  CXX="c++" CXXFLAGS="-O2 
-pipe -I/usr/local/include -I/usr/local/include/mupen64plus 
-fno-strict-aliasing"  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s 
-o root -g wheel -m 555"  BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444" 
 BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--PLIST_SUB--
OSREL=9.1
PREFIX=%D
LOCALBASE=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
PORTDATA=""
LIB32DIR=lib
DOCSDIR="share/doc/mupen64plus"
EXAMPLESDIR="share/examples/mupen64plus"
DATADIR="share/mupen64plus"
WWWDIR="www/mupen64plus"
ETCDIR="etc/mupen64plus"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/mupen64plus
DOCSDIR=/usr/local/share/doc/mupen64plus
EXAMPLESDIR=/usr/local/share/examples/mupen64plus
WWWDIR=/usr/local/www/mupen64plus
ETCDIR=/usr/local/etc/mupen64plus
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
# clean-restricted ran via poudriere.conf NO_RESTRICTED
#NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
===>  Cleaning for mupen64plus-video-glide64mk2-2.0_1
=======================<phase: check-sanity   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   mupen64plus-video-glide64mk2-2.0_1 depends on file: /usr/local/sbin/pkg 
- not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.2.7.txz
Installing pkg-1.2.7... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of mupen64plus-video-glide64mk2-2.0_1
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===> Fetching all distfiles required by mupen64plus-video-glide64mk2-2.0_1 for 
building
===========================================================================
=======================<phase: checksum       >============================
===> Fetching all distfiles required by mupen64plus-video-glide64mk2-2.0_1 for 
building
=> SHA256 Checksum OK for mupen64plus/mupen64plus-bundle-src-2.0.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===> Fetching all distfiles required by mupen64plus-video-glide64mk2-2.0_1 for 
building
===>  Extracting for mupen64plus-video-glide64mk2-2.0_1
=> SHA256 Checksum OK for mupen64plus/mupen64plus-bundle-src-2.0.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for mupen64plus-video-glide64mk2-2.0_1
===>  Applying FreeBSD patches for mupen64plus-video-glide64mk2-2.0_1
===========================================================================
=======================<phase: build-depends  >============================
===>   mupen64plus-video-glide64mk2-2.0_1 depends on executable: gmake - not 
found
===>    Verifying install for gmake in /usr/ports/devel/gmake
===>   Installing existing package /packages/All/gmake-3.82_1.txz
Installing gmake-3.82_1...Installing gettext-0.18.3.1...Installing 
libiconv-1.14_3... done
 done
 done
===>   Returning to build of mupen64plus-video-glide64mk2-2.0_1
===>   mupen64plus-video-glide64mk2-2.0_1 depends on executable: pkgconf - not 
found
===>    Verifying install for pkgconf in /usr/ports/devel/pkgconf
===>   Installing existing package /packages/All/pkgconf-0.9.5.txz
Installing pkgconf-0.9.5... done
===>   Returning to build of mupen64plus-video-glide64mk2-2.0_1
===>   mupen64plus-video-glide64mk2-2.0_1 depends on file: 
/usr/local/libdata/pkgconfig/glproto.pc - not found
===>    Verifying install for /usr/local/libdata/pkgconfig/glproto.pc in 
/usr/ports/x11/glproto
===>   Installing existing package /packages/All/glproto-1.4.17.txz
Installing glproto-1.4.17... done
===>   Returning to build of mupen64plus-video-glide64mk2-2.0_1
===>   mupen64plus-video-glide64mk2-2.0_1 depends on file: 
/usr/local/libdata/pkgconfig/dri2proto.pc - not found
===>    Verifying install for /usr/local/libdata/pkgconfig/dri2proto.pc in 
/usr/ports/x11/dri2proto
===>   Installing existing package /packages/All/dri2proto-2.8.txz
Installing dri2proto-2.8... done
===>   Returning to build of mupen64plus-video-glide64mk2-2.0_1
===>   mupen64plus-video-glide64mk2-2.0_1 depends on file: 
/usr/local/bin/sdl-config - not found
===>    Verifying install for /usr/local/bin/sdl-config in 
/usr/ports/devel/sdl12
===>   Installing existing package /packages/All/sdl-1.2.15_3,2.txz
Installing sdl-1.2.15_3,2...Installing aalib-1.4.r5_9... done
Installing libGLU-9.0.0...Installing libGL-7.6.1_4...Installing expat-2.1.0... 
done
Installing libX11-1.6.2,1...Installing kbproto-1.0.6... done
Installing libXau-1.0.8...Installing xproto-7.0.25... done
 done
Installing libXdmcp-1.1.1... done
Installing libxcb-1.9.3...Installing libpthread-stubs-0.3_4... done
Installing libxml2-2.9.1_1... done
 done
 done
Installing libXdamage-1.1.4...Installing damageproto-1.2.1... done
Installing libXfixes-5.0.1...Installing fixesproto-5.0... done
 done
 done
Installing libXext-1.3.2,1...Installing xextproto-7.2.1... done
 done
Installing libXxf86vm-1.1.3...Installing xf86vidmodeproto-2.3.1... done
 done
Installing libdrm-2.4.17_1...Installing libpciaccess-0.13.2...Installing 
pciids-20140312... done
 done
 done
 done
 done
Installing libXrandr-1.4.2...Installing libXrender-0.9.8...Installing 
renderproto-0.11.1... done
 done
Installing randrproto-1.4.0... done
 done
 done
------------------------------------------------------------------------------
 Your SDL library has been built with libvgl support, which means that you
 can run almost any SDL application straight on your console (VESA 2.0
 compatible videocard is required).

 To do this you have to load the vesa kernel module or enable it in your
 kernel, and set environment variable "SDL_VIDEODRIVER=vgl".
------------------------------------------------------------------------------
===>   Returning to build of mupen64plus-video-glide64mk2-2.0_1
===========================================================================
=======================<phase: lib-depends    >============================
===>   mupen64plus-video-glide64mk2-2.0_1 depends on shared library: 
libboost_thread.so - not found
===>    Verifying for libboost_thread.so in /usr/ports/devel/boost-libs
===>   Installing existing package /packages/All/boost-libs-1.55.0.txz
Installing boost-libs-1.55.0...Installing icu-52.1... done
 done
You have built the Boost library with thread support.

Don't forget to add -pthread to your linker options when
linking your code.
===>   Returning to build of mupen64plus-video-glide64mk2-2.0_1
===>   mupen64plus-video-glide64mk2-2.0_1 depends on shared library: libGL.so - 
found
===>   mupen64plus-video-glide64mk2-2.0_1 depends on shared library: 
mupen64plus.2 - not found
===>    Verifying install for mupen64plus.2 in 
/usr/ports/emulators/mupen64plus-core
===>   Installing existing package /packages/All/mupen64plus-core-2.0_1.txz
Installing mupen64plus-core-2.0_1...Installing freetype2-2.5.3... done
Installing png-1.5.18... done
 done
===>   Returning to build of mupen64plus-video-glide64mk2-2.0_1
===>   mupen64plus-video-glide64mk2-2.0_1 depends on shared library: SDL-1.2 - 
found
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for mupen64plus-video-glide64mk2-2.0_1
===========================================================================
=======================<phase: build          >============================
===>  Building for mupen64plus-video-glide64mk2-2.0_1
    CC  _obj/GlideHQ/tc-1.1+/fxt1.o
    CC  _obj/GlideHQ/tc-1.1+/dxtn.o
    CC  _obj/GlideHQ/tc-1.1+/wrapper.o
    CC  _obj/GlideHQ/tc-1.1+/texstore.o
    CC  _obj/Glide64/osal_dynamiclib_unix.o
    CXX _obj/Glitch64/combiner.o
    CXX _obj/Glitch64/geometry.o
    CXX _obj/Glitch64/glitchmain.o
    CXX _obj/Glitch64/textures.o
    CXX _obj/Glide64/3dmath.o
    CXX _obj/Glide64/Combine.o
    CXX _obj/Glide64/Config.o
    CXX _obj/Glide64/CRC.o
    CXX _obj/Glide64/Debugger.o
    CXX _obj/Glide64/DepthBufferRender.o
    CXX _obj/Glide64/FBtoScreen.o
    CXX _obj/Glide64/Ini.o
    CXX _obj/Glide64/Keys.o
    CXX _obj/Glide64/Main.o
    CXX _obj/Glide64/rdp.o
./../src/Glide64/rdp.cpp: In function 'void loadBlock(uint32_t*, uint32_t*, 
uint32_t, int, int)':
./../src/Glide64/rdp.cpp:1877: error: 'bswap32' was not declared in this scope
./../src/Glide64/rdp.cpp: In function 'void loadTile(uint32_t*, uint32_t*, int, 
int, int, int, uint32_t*)':
./../src/Glide64/rdp.cpp:2121: error: 'bswap32' was not declared in this scope
gmake: *** [_obj/Glide64/rdp.o] Error 1
*** [do-build] Error code 1

Stop in /usr/ports/emulators/mupen64plus-video-glide64mk2.
===>  Cleaning for mupen64plus-video-glide64mk2-2.0_1
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to